ParameterSignature (JUnit API)
Keywords: org.junit.experimental.theories.ParameterSignature class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.junit.experimental.theories
Class ParameterSignature

    java.lang.Object
      org.junit.experimental.theories.ParameterSignature

    public class ParameterSignature

extends Object

Method Summary
`boolean` | `canAcceptArrayType(Class<?> type)`
`boolean` | `canAcceptType(Class<?> candidate)`
`
`<T extends Annotation> T`
` | `findDeepAnnotation(Class<T> annotationType)`
`
`<T extends Annotation> T`
` | `getAnnotation(Class<T> annotationType)`
`List<Annotation>` | `getAnnotations()`
`Class<?>` | `getType()`
`boolean` | `hasAnnotation(Class<? extends Annotation> type)`
`static List<ParameterSignature>` | `signatures(Constructor<?> constructor)`
`static ArrayList<ParameterSignature>` | `signatures(Method method)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### signatures

    public static ArrayList<ParameterSignature> signatures(Method method)

### signatures

    public static List<ParameterSignature> signatures(Constructor<?> constructor)

### canAcceptType

    public boolean canAcceptType(Class<?> candidate)

### getType

    public Class<?> getType()

### getAnnotations

    public List<Annotation> getAnnotations()

### canAcceptArrayType

    public boolean canAcceptArrayType(Class<?> type)

### hasAnnotation

    public boolean hasAnnotation(Class<? extends Annotation> type)

### findDeepAnnotation

    public <T extends Annotation> T findDeepAnnotation(Class<T> annotationType)

### getAnnotation

    public <T extends Annotation> T getAnnotation(Class<T> annotationType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD